Debian Bug report logs - #319179
uxterm and utf-8 font selection

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Wed, 20 Jul 2005 11:18:05 UTC

Severity: normal

Tags: moreinfo, unreproducible

Found in versions 6.8.2.dfsg.1-3, xterm/6.8.2.dfsg.1-8

Fixed in version xterm/208-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319179; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: uxterm and utf-8 font selection
Date: Wed, 20 Jul 2005 13:14:34 +0200
Package: xterm
Version: 6.8.2.dfsg.1-3
Severity: normal

The file /etc/X11/app-defaults/UXTerm says:

! The fonts here are duplicated in "XTerm" by "*VT100.utf8fonts", but are
! left here for compatibility:
*VT100*font2:   -misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100*font:    -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
*VT100*font3:   -misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
*VT100*font4:   -misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
*VT100*font5:   -misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
*VT100*font6:   -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1

If I understand correctly, such *VT100*font resources are no longer used
and are now replaced by *VT100.utf8fonts resources (preferably). But this
doesn't seem to be the case. Indeed, if I do the following:

dixsept:~> cp -R /etc/X11/app-defaults .
dixsept:~> export XAPPLRESDIR=$HOME/app-defaults/
dixsept:~> export XFILESEARCHPATH=$HOME/app-defaults/
dixsept:~> uxterm

and in the uxterm, I type "echo \\u20ac", I get the Euro symbol as expected.
But now, if I remove the lines

*VT100*font2:   -misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100*font:    -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
*VT100*font3:   -misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
*VT100*font4:   -misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
*VT100*font5:   -misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
*VT100*font6:   -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1

from the $HOME/app-defaults/UXTerm file, restart uxterm and type
"echo \\u20ac", then the Euro symbol is no longer visible. This
means that the above lines were really necessary. This is either
a bug in the xterm program or the above comment is incorrect.
IMHO, the *VT100.utf8fonts resources should have the precedence,
so I rather see it a bug in the xterm program.

Note, before the removal of the lines:

dixsept:~> appres UXTerm|grep 'VT100.*font2'
*VT100.utf8Fonts.font2: -misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100*font2:   -misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1

and after their removal:

dixsept:~> appres UXTerm|grep 'VT100.*font2'
*VT100.utf8Fonts.font2: -misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
*VT100*font2:   5x7

and I have:

*VT100*utf8:    1

in both cases.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11.10-20050517
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-22   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.8-3       XML parsing C library - runtime li
ii  libfontconfig1            2.3.2-1        generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.8.2.dfsg.1-3 Inter-Client Exchange library
ii  libncurses5               5.4-9          Shared libraries for terminal hand
ii  libselinux1               1.24-1         SELinux shared libraries
ii  libsm6                    6.8.2.dfsg.1-3 X Window System Session Management
ii  libxaw8                   6.8.2.dfsg.1-3 X Athena widget set library
ii  libxext6                  6.8.2.dfsg.1-3 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxmu6                   6.8.2.dfsg.1-3 X Window System miscellaneous util
ii  libxp6                    6.8.2.dfsg.1-3 X Window System printing extension
ii  libxpm4                   6.8.2.dfsg.1-3 X pixmap library
ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
ii  libxt6                    6.8.2.dfsg.1-3 X Toolkit Intrinsics
ii  xlibs                     6.8.2.dfsg.1-3 X Window System client libraries m
ii  xlibs-data                6.8.2.dfsg.1-3 X Window System client data

Versions of packages xterm recommends:
ii  xutils                   4.3.0.dfsg.1-14 X Window System utility programs

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319179; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 319179@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 319179@bugs.debian.org
Subject: #319179: uxterm and utf-8 font selection
Date: Tue, 2 Aug 2005 18:05:53 -0400
[Message part 1 (text/plain, inline)]
>If I understand correctly, such *VT100*font resources are no longer used
>and are now replaced by *VT100.utf8fonts resources (preferably). But this
>doesn't seem to be the case. Indeed, if I do the following:

Not exactly.  When xterm starts, it first uses whatever the X resources resolve
*VT100.font to, then if it is setup for UTF-8, overlays that with whatever the
*VT100.utf8fonts.font corresponds to.  If "*VT100*font" is used as a pattern
in the UXTerm app-defaults file, that overrides (but has the same general effect)
as the combination of resources in the XTerm app-defaults file.

I won't argue about whether "duplicated" is the proper term.

It seems that the point of confusion is actually the use of the "locale" resource.
Since your locale is POSIX, and (not mentioned in the report) the locale resource
is probably "medium", the xterm manpage tells what happens:

               medium
                   xterm  will  follow  users' LC_CTYPE locale only for UTF-8,
                   east Asian, and Thai locales, where the encodings were  not
                   supported  by  conventional  8bit mode with changing fonts.
                   For other locales, xterm will use conventional 8bit mode.

So it resets the utf8 resource (as you may see by looking for the checkmark
by the "UTF-8" in the control-right-mouse menu).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible, moreinfo Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#319179; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Barasz Mihaly <klao@cs.elte.hu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 319179@bugs.debian.org (full text, mbox):

From: Barasz Mihaly <klao@cs.elte.hu>
To: Debian Bug Tracking System <319179@bugs.debian.org>
Subject: xterm: utf8Fonts recource stopped working in xorg
Date: Tue, 11 Oct 2005 01:26:28 +0200
Package: xterm
Version: 6.8.2.dfsg.1-8
Followup-For: Bug #319179


I have the same problem as the original reporter. Namely,
xterm.vt100.utf8Fonts stopped working after xfree86 -> xorg upgrade.

You can reproduce the bug as follows:

$ xrdb -merge <<'EOF'
xterm.vt100.font: -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso8859-2
xterm.vt100.utf8Fonts.font: -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
EOF

Then start an uxterm. Characters outside the iso8859-1 character set
will appear blank.

(Note that I defined the resources for the instance 'xterm' and not for
the class 'XTerm', as it won't affect the uxterm (which sets the class
name to 'UXTerm', but still has the instance name 'xterm')).

As I understand from the description, the utf8Fonts.font should override
the plain 'font' if the resource utf8 is set (and it is set), which
clearly doesn't happen here.

Also note that I have locale hu_HU (and uxterm sets it to hu_HU.UTF-8),
and I don't use the 'locale: true' resource of xterm.
But this is the only meanigful situation in which utf8Fonts could be
used, because if one use the 'locale: true' setting, then only one
(unicode) font is needed for all locales.
On the other hand this "note" is not important, since utf8Fonts has no
effect also when 'locale: true' is used.

And please note that the above config works with xfree86 version of
xterm (4.3.0.dfsg.1-1).


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13.2
Locale: LANG=C, LC_CTYPE=hu_HU (charmap=ISO-8859-2)

Versions of packages xterm depends on:
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libexpat1                 1.95.8-3       XML parsing C library - runtime li
ii  libfontconfig1            2.3.2-1        generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.8.2.dfsg.1-7 Inter-Client Exchange library
ii  libncurses5               5.4-9          Shared libraries for terminal hand
ii  libsm6                    6.8.2.dfsg.1-7 X Window System Session Management
ii  libxaw8                   6.8.2.dfsg.1-7 X Athena widget set library
ii  libxext6                  6.8.2.dfsg.1-7 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxmu6                   6.8.2.dfsg.1-7 X Window System miscellaneous util
ii  libxp6                    6.8.2.dfsg.1-7 X Window System printing extension
ii  libxpm4                   6.8.2.dfsg.1-7 X pixmap library
ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
ii  libxt6                    6.8.2.dfsg.1-7 X Toolkit Intrinsics
ii  xlibs                     6.8.2.dfsg.1-7 X Window System client libraries m
ii  xlibs-data                6.8.2.dfsg.1-7 X Window System client data

Versions of packages xterm recommends:
ii  xutils                    6.8.2.dfsg.1-7 X Window System utility programs

-- no debconf information



Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 319179-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 319179-close@bugs.debian.org
Subject: Bug#319179: fixed in xterm 208-1
Date: Thu, 05 Jan 2006 21:32:06 -0800
Source: xterm
Source-Version: 208-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_208-1.diff.gz
  to pool/main/x/xterm/xterm_208-1.diff.gz
xterm_208-1.dsc
  to pool/main/x/xterm/xterm_208-1.dsc
xterm_208-1_i386.deb
  to pool/main/x/xterm/xterm_208-1_i386.deb
xterm_208.orig.tar.gz
  to pool/main/x/xterm/xterm_208.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 319179@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Jan 2006 23:19:35 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 208-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 289123 319179 334317
Changes: 
 xterm (208-1) unstable; urgency=low
 .
   * New upstream release (patchlevel #208). Main changes follow:
     - Implement logic in termcap query to process multiple parameters as
       documented in ctlseqs.ms
     - Fix buffer size used for termcap query, which was not long enough for
       the terminfo "colors" name.
     - Add menu entry (alt-esc) and corresponding action (alt-sends-esc) to
       toggle the eightBitInput resource setting.
     - Modify computation of rows/columns on resize to avoid extending beyond
       the given limits, e.g., if resizing in response to a "maximize" in
       Gnome or KDE which do not use the window manager hints for this case
       (closes: #289123).
     - Improve error-reporting when chown/chmod of the pseudo-terminal fails.
     - Several changes in the control sequences.
     - Improvements in the configure script.
     - Eliminate a retry for a better-matching bold font, to work around
       recent font server changes.
     - Specify weight for wide font which may be derived from normal
       fontname.
     - Cache the derived wide- and widebolt- fontnames.
     - Modify resource files to make the font-resources a little more specific,
       e.g., changing "*VT100*" to "*VT100.", to make the distinction between
       VT100.font and VT100.utf8Fonts.font sharper, in case a packager modifies
       one of those.
     - Expanded comments in UXTerm.ad regarding the font resources (closes:
       #319179).
     - Add --enable-narrowproto configure option to accommodate Xorg "modular"
       build.
     - Add scrollBarBorder resource.
     - Fix a file-descriptor leak when calling openpty().
     - A hard reset also resets the 132/80 mode.
     - Restore window manager hints after XtMakeResizeRequest() calls.
     - Scroll-down is allowed to be sent while mouse tracking is enabled.
     - Correct size-comparison in HandleInterpret() broken in changes from
       patch #201 to allocate input buffer (closes: #334317).
     - Upstream merged Debian patches 001 and 002 for typos in xterm.
     - Added setuid options.
     - add charClass resource to XTerm.ad and UXTerm.ad which simplifies
       selecting URLs
     - make -iconic option work with toolbar configuration
     - fix memory reallocation for the "UTF-8" menu entry when xterm is started
       using the +u8 option
   * Debian patches 900 and 901 resynced.
Files: 
 9eb8c15b6e40cfcf18f249891789d97d 767 x11 optional xterm_208-1.dsc
 a062d0b398918015d07c31ecdcc5111a 749755 x11 optional xterm_208.orig.tar.gz
 adffc682f818b433839238bca8436ea6 60016 x11 optional xterm_208-1.diff.gz
 4f616171653be730e4901b9c8264f78d 376454 x11 optional xterm_208-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDvf/IyLfpNdY0ad8RAsinAJ9b/QTa32JUwqGvUbxOmFYxlL4s0gCggrVj
QY4HfRgs4OcV8TIFIhpSSRc=
=atJH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 16:47:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:02:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.